=== debian/changelog ===
bro (2.5.5-1+deb10u1) buster-security; urgency=medium

  * Add patches for CVE-2018-16807, CVE-2018-17019 (Closes: #908614,
    #908779)

 -- Hilko Bengen <bengen@debian.org>  Tue, 25 Jun 2019 21:26:53 +0200

bro (2.5.5-1) unstable; urgency=medium

  * New upstream version 2.5.5
  * Bump Standards-Version
  * Bump binpac build-dependency
  * copyright: Add bits of Creative Commons license that are not strictly
    part of the license (thanks, Lintian)
  * Make build reproducible by removeing build path from *.bro files,
    thanks to Chris Lamb (Closes: #908379)

 -- Hilko Bengen <bengen@debian.org>  Wed, 05 Sep 2018 16:05:40 +0200
